<style>
    form {
        padding: 5px;
    }

    mat-form-field {
        width: 300px;
    }
</style>

<button
    mat-raised-button
    routerLink="/filmovi">
        back
</button>

<section
    fxLayout="column"
    fxLayoutAlign="center center">
    <h2>Details</h2>
    <hr>
    <form
        fxLayout="column"
        fxLayoutAlign="center center"
        #f="ngForm">
            <mat-form-field>
                <mat-label>naziv</mat-label>
                <input 
                    matInput
                    type="text"
                    [(ngModel)]="this.film.naziv"
                    name="naziv"
                    required
                    readonly>
            </mat-form-field>
            <mat-form-field>
                <mat-label>reziser</mat-label>
                <input 
                    matInput
                    type="text"
                    [(ngModel)]="this.film.reziser"
                    name="reziser"
                    required
                    readonly>
            </mat-form-field>
            <mat-form-field>
                <mat-label>ocena</mat-label>
                <input 
                    matInput
                    type="number"
                    [(ngModel)]="this.film.ocena"
                    name="ocena"
                    min="0"
                    max="10"
                    required
                    readonly>
            </mat-form-field>
    </form>

    <lib-my-angular-table
        *ngIf="this.projekcije.length > 0"
        [table]="this.table"></lib-my-angular-table>
</section>